Bug 218558 - multimedia/handbrake: update 1.0.3_2 -> 1.0.7
Summary: multimedia/handbrake: update 1.0.3_2 -> 1.0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-11 05:34 UTC by Vladimir Omelchuk
Modified: 2017-04-15 05:50 UTC (History)
4 users (show)

See Also:


Attachments
patch_handbrake-1.0.7 (2.10 KB, patch)
2017-04-11 05:34 UTC, Vladimir Omelchuk
no flags Details | Diff
screenlog_handbrake_port (54.87 KB, application/x-bzip)
2017-04-14 09:44 UTC, Walter Schwarzenfeld
no flags Details
etc_make_conf_txt (894 bytes, text/plain)
2017-04-14 10:15 UTC, Walter Schwarzenfeld
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Omelchuk 2017-04-11 05:34:46 UTC
Created attachment 181677 [details]
patch_handbrake-1.0.7

Patch for update handbrake-1.0.3_2 to 1.0.7

Tested on FreeBSD 10.3-RELEASE-p17 amd64
Comment 1 Walter Schwarzenfeld freebsd_triage 2017-04-11 07:04:21 UTC
And you ignore the CCACHE error.....
Comment 2 Vladimir Omelchuk 2017-04-11 07:09:23 UTC
(In reply to w.schwarzenfeld from comment #1)

Try add to your /etc/make.conf:
.if ${.CURDIR:M*/ports/multimedia/handbrake}
NO_CCACHE=yes
.endif
Comment 3 Walter Schwarzenfeld freebsd_triage 2017-04-11 07:25:05 UTC
What I don't want is  a long long /etc/make.conf.
Comment 4 Vladimir Omelchuk 2017-04-11 07:37:52 UTC
(In reply to w.schwarzenfeld from comment #3)

I agree with you, but I do not have your problem with ccache, and I can not repeat this error :(
Comment 5 Yuichiro NAITO 2017-04-11 13:09:00 UTC
Thanks for new PR.
'patch_handbrake-1.0.7' works fine on my 11.0R amd64.
There is no problem for me.
Comment 6 Vladimir Omelchuk 2017-04-11 13:15:27 UTC
(In reply to naito.yuichiro from comment #5)

OK
Thanks for test new patch!
Comment 7 Yuichiro NAITO 2017-04-14 02:22:14 UTC
I built the patch with ccache in following cases.
All of them have been finished successfully.

In my poudriere, I built on following FreeBSD versions and archs.

  (1) 11.0R amd64
  (2) 11.0R i386
  (3) 10.3R amd64
  (4) 10.3R i386
  
Without poudriere, I built with following gcc versions and ccache.

  (5) gcc49 & ccache
  (6) gcc5  & ccache
  (7) gcc6  & ccache

I have never seen ccache's error log.
How about make a request to apply the patch to ports tree?
Comment 8 Vladimir Omelchuk 2017-04-14 03:10:41 UTC
(In reply to naito.yuichiro from comment #7)

Thanks for the work you've done!
Comment 9 Walter Schwarzenfeld freebsd_triage 2017-04-14 09:30:25 UTC
Do it. It does not matter . I build it with NO_CCACHE=yes in /etc/make.conf.
But I attach a screenlog from build.
Comment 10 Walter Schwarzenfeld freebsd_triage 2017-04-14 09:44:57 UTC
Created attachment 181778 [details]
screenlog_handbrake_port
Comment 11 Vladimir Omelchuk 2017-04-14 10:08:21 UTC
(In reply to w.schwarzenfeld from comment #9)

Please, show your /etc/make.conf ...
Comment 12 Walter Schwarzenfeld freebsd_triage 2017-04-14 10:15:05 UTC
Created attachment 181779 [details]
etc_make_conf_txt
Comment 13 Vladimir Omelchuk 2017-04-14 10:52:24 UTC
(In reply to w.schwarzenfeld from comment #12)

Why is this? Remove it!!!
WITH_CCACHE_BUILD=yes

Use only PATH, like:
PATH=/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin …

A try again ...
Comment 14 Walter Schwarzenfeld freebsd_triage 2017-04-14 11:09:18 UTC
If I do this, it does not use ccache.
Comment 15 Vladimir Omelchuk 2017-04-14 11:15:25 UTC
(In reply to w.schwarzenfeld from comment #14)

Why? CCACHE will be used!
Comment 16 Walter Schwarzenfeld freebsd_triage 2017-04-14 11:27:27 UTC
I don't know why. it is not be used without WITH_CCACHE:BUILD=yes.
Comment 17 Vladimir Omelchuk 2017-04-14 11:34:14 UTC
(In reply to w.schwarzenfeld from comment #16)

You do not understand the principle of ccache!
Set the correct PATH variable!!!
Comment 18 Walter Schwarzenfeld freebsd_triage 2017-04-14 11:41:57 UTC
Where? in /etc/make.conf. It is set in the shellrc.
Comment 19 Walter Schwarzenfeld freebsd_triage 2017-04-14 11:51:32 UTC
How are your settings? In /etc/make.conf and the shellrc (does not matter which one).
Comment 20 Vladimir Omelchuk 2017-04-14 11:56:09 UTC
(In reply to w.schwarzenfeld from comment #19)

Before update to new version handbrake:
1. Rebuild ccache
2. Remove “WITH_CCACHE_BUILD=yes”
3. Set correct PATH for use ccache
4. Check your environment (/usr/local/libexec/ccache must be first!!!):
# env | grep ^PATH
PATH=/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin

If ALL correct, try build handbrake again …
Comment 21 Vladimir Omelchuk 2017-04-14 12:20:37 UTC
(In reply to naito.yuichiro from comment #7)

Naito,
thanks for the patch (multimedia/handbrake/files/patch-version.txt ) for the 1.0.3 handbrake!
You really MAINTAINER for this port!
Take it for the support!
Goog luck! ;)
Comment 22 Walter Schwarzenfeld freebsd_triage 2017-04-14 12:24:53 UTC
Ok, that was a mean error. /usr/local/libexec/ccache was on the end of the PATH variable. Not
on the begin.
Yes, works thanks and sorry.
Comment 23 Vladimir Omelchuk 2017-04-14 12:27:06 UTC
(In reply to w.schwarzenfeld from comment #22)

No problem!
Good luck! ;)
Comment 24 Kurt Jaeger freebsd_committer 2017-04-14 18:07:33 UTC
testbuilds are fine.
Comment 25 Kurt Jaeger freebsd_committer 2017-04-14 18:08:58 UTC
Committed, thanks!
Comment 26 commit-hook freebsd_committer 2017-04-14 18:09:35 UTC
A commit references this bug:

Author: pi
Date: Fri Apr 14 18:08:42 UTC 2017
New revision: 438531
URL: https://svnweb.freebsd.org/changeset/ports/438531

Log:
  multimedia/handbrake: update 1.0.3 -> 1.0.7

  PR:		218558
  Changes:	https://github.com/HandBrake/HandBrake/releases
  Submitted by:	Vladimir Omelchuk <admin@vladiom.com.ua>
  Reviewed by:	naito.yuichiro@gmail.com

Changes:
  head/multimedia/handbrake/Makefile
  head/multimedia/handbrake/distinfo
  head/multimedia/handbrake/files/patch-version.txt
Comment 27 Vladimir Omelchuk 2017-04-15 05:50:45 UTC
(In reply to Kurt Jaeger from comment #25)

Kurt,
thanks for the update port!
Good luck!